polygen (1.0.6.ds2-24build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 08:14:11 +0100

polygen (1.0.6.ds2-24) unstable; urgency=medium

  * QA upload
  * Recompile with OCaml 4.14.1
  * Make polygen an arch:any package
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 20 Sep 2023 19:52:16 +0200

polygen (1.0.6.ds2-23) unstable; urgency=medium

  * QA upload
  * Recompile with OCaml 4.13.1

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jan 2022 21:23:09 +0100

polygen (1.0.6.ds2-22) unstable; urgency=medium

  * QA upload
  * Fix compilation with OCaml 4.13.1

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Dec 2021 16:54:58 +0100

polygen (1.0.6.ds2-21) unstable; urgency=medium

  * QA upload
  * Fix compilation with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Dec 2021 12:15:33 +0100

polygen (1.0.6.ds2-20) unstable; urgency=medium

  [ Stéphane Glondu ]
  * QA upload
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 09:33:04 +0200

polygen (1.0.6.ds2-19) unstable; urgency=medium

  * QA upload
  * Recompile with OCaml 4.08.1
  * Set Vcs-* field to ocaml-team's existing salsa git repository

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Nov 2019 14:25:56 +0100

polygen (1.0.6.ds2-18) unstable; urgency=medium

  * QA upload.

  [ Salvo 'LtWorf' Tomaselli ]
  * Bump debhelper compat level to 10.

  [ Mattia Rizzolo ]
  * debian/man.grm: fix the typo here directly instead of using a patch.
  * debian/source/format: use source format 3.0 (quilt).
  * Use quilt instead of CDBS' simple-patchsys.
  * debian/rules:
    + Entirely rewrite using the dh sequencer instead of CDBS.
      - This also moves a bunch of commands to the various
        debian/{*.{install,docs},clean} etc.
      - Also use dh-exec to perform renames.
    + Use /usr/share/dpkg/pkg-info.mk instead of calling dpkg-parsechangelog.
    + Sort grm files before generating the polygen-data.6 manpage, to make the
      build reproducible.  Thanks to Chris Lamb <lamby@debian.org> for the
      patch.  (Closes: #877375)
  * debian/polygen.dirs: remove redundant file.
  * debian/control:
    + New build-dependency on dh-exec.
    + Drop build-dependency on cdbs.
    + Bump Standards-Version to 4.1.1, no changes needed.
    + Move git repository to collab-maint.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Oct 2017 20:37:21 +0200

polygen (1.0.6.ds2-17) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as Maintainer.
  * Rebuild with OCaml 4.05. (Closes: #876463)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Sep 2017 14:19:22 +0200

polygen (1.0.6.ds2-16) unstable; urgency=medium

  * Change POLYGEN_SEED in d/rules (Closes: #860384). Thanks to Chris Lamb.
  * Compile on OCaml 4.05.0 (Closes: #868938). Thanks to Stéphane Glondu.

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 28 Jul 2017 09:21:29 +0200

polygen (1.0.6.ds2-15) unstable; urgency=low

  * Changed maintainer (Closes: #813212)
  * Bumped Standards-Version to 3.9.8
  * Changed homepage to http://polygen.org/
  * Bumped compat to 9
  * Changed git URLs

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 30 Oct 2016 15:33:00 +0100

polygen (1.0.6.ds2-14) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU.
  * Make build reproducible (Closes: #776576). Thanks to Chris Lamb for
    the patch.
  * Fix typo in manpage (Closes: #776573).

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 Oct 2015 18:37:42 +0200

polygen (1.0.6.ds2-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "depend on perl instead of perl-modules":
    debian/control: update Depends for polygen-data.
    (Closes: #779115)

 -- gregor herrmann <gregoa@debian.org>  Wed, 25 Feb 2015 22:13:25 +0100

polygen (1.0.6.ds2-13) unstable; urgency=low

  * Standards-Version 3.9.5 (no change)
  * Recompile with ocaml 4.01.0 (no source changes)

 -- Ralf Treinen <treinen@debian.org>  Tue, 03 Dec 2013 22:08:22 +0100

polygen (1.0.6.ds2-12) unstable; urgency=low

  * Team upload
  * Recompile with ocaml 3.12.1 (no source changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 21:26:40 +0100

polygen (1.0.6.ds2-11) unstable; urgency=low

  * added debian/gbp.conf: enforce pristine-tar
  * Standards-Version 3.9.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 16 Feb 2011 20:49:32 +0100

polygen (1.0.6.ds2-10) unstable; urgency=low

  * debian/polyrun: terminate Usage message with a newline. Thanks to
    Chris Lamb for the patch (closes: #507277).
  * debian/control:
    - put homepage at freshmeat (closes: #517430)
    - removed Zack from uploaders on his request.
  * patch 02-grammar-typos.patch: fix a typo in grm/eng/manager.grm
    (closes: #307619).
  * Install executables in /usr/games instead of /usr/bin.
  * debian/watch: deactivate since url of download page dead
  * add debian/source/format, value is 1.0
  * debian/make_polygen_data-manpage: escape some hyphens, and fix a
    typo in the generated manpage.

 -- Ralf Treinen <treinen@debian.org>  Tue, 22 Jun 2010 21:52:33 +0200

polygen (1.0.6.ds2-9) unstable; urgency=low

  * rebuild against OCaml 3.11.2
  * bump Standards-Version to 3.8.4 (no changes needed)
  * switch to dh-ocaml to compute bytecode dependencies

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 10 Feb 2010 10:28:53 +0100

polygen (1.0.6.ds2-8) unstable; urgency=low

  * rebuild against OCaml 3.11.1
  * bump Standards-Version to 3.8.2 (no changes needed)
  * bump debhelper compatibility level to 5 (minimum non-deprecated)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 05 Jul 2009 17:20:13 +0200

polygen (1.0.6.ds2-7) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * rebuild against OCaml 3.11
    - add build-dep on dh-ocaml (ships the CDBS rules file)
  * bump Standards-version to 3.8.0 (no changes needed)
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet
  * debian/control: add missing ${misc:Depends} substvars
  * debian/copyright: refer to version-ful common license file
  * debian/*postinst: do not ignore script exit code

  [ Stephane Glondu ]
  * Switching packaging to git

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 05 Mar 2009 20:27:28 +0100

polygen (1.0.6.ds2-6) unstable; urgency=low

  * Compiled with OCaml 3.10.2.
  * Added myself to Uploaders.

 -- Ralf Treinen <treinen@debian.org>  Mon, 19 May 2008 22:47:33 +0200

polygen (1.0.6.ds2-5) unstable; urgency=low

  [ Stephane Glondu ]
  * rm polygen binary upon clean, fix FTBFS if built twice in a row
    (Closes: #424323)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 21 Mar 2008 16:48:38 +0100

polygen (1.0.6.ds2-4) unstable; urgency=medium

  * rebuild with ocaml 3.10.1, bump urgency for the transition
  * set Maintainer to d-o-m, me and Enrico as Uploaders
  * add Homepage field to debian/control
  * fix vcs-svn field to point just above the debian/ dir
  * bump standards-version (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Mar 2008 12:25:12 +0100

polygen (1.0.6.ds2-3) unstable; urgency=low

  * rebuild against OCaml 3.10
  * debian/control
    - adding me as an Uploader
    - bump Standards-Version to 3.7.2, no changes needed
    - cdbs, debhelper & co should be build-dep, not -indep
  * debian/watch
    - add watch file
  * debian/rules
    - use the ocaml.mk CDBS class instead of manually fiddling with 'ocamlc
      -where' and $(OCAMLABI)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 10 Sep 2007 09:15:49 +0200

polygen (1.0.6.ds2-2) unstable; urgency=low

  * Fixed a bashism in the makefile.  Closes: bug#396902.
  * Remove compiled grammar in debian/rules clean.  Closes: bug#397960.

 -- Enrico Zini <enrico@debian.org>  Thu, 16 Nov 2006 15:27:22 +0100

polygen (1.0.6.ds2-1) unstable; urgency=low

  * Try to find grammars according to locales
  * Split grammar search into a separate polyrun script packaged in
    polygen-data
  * Package Debian grammars in eng/debian

 -- Enrico Zini <enrico@debian.org>  Sun,  1 Oct 2006 14:20:31 +0200

polygen (1.0.6.ds1-4) unstable; urgency=low

  * Recompiled with new ocaml.  Closes: #370217.

 -- Enrico Zini <enrico@debian.org>  Wed,  7 Jun 2006 22:16:36 +0200

polygen (1.0.6.ds1-3) unstable; urgency=low

  * Recompiled with ocaml 3.09.0-4, which broke dependencies once again but is
    supposed to solve all dependency problems.  Closes: #348247.

 -- Enrico Zini <enrico@debian.org>  Mon, 16 Jan 2006 21:52:49 +0100

polygen (1.0.6.ds1-2) unstable; urgency=low

  * Added new patch 05-8bit-strings.diff to make polygen accept UTF-8
    strings.

 -- Enrico Zini <enrico@debian.org>  Sat, 31 Dec 2005 11:41:01 +0800

polygen (1.0.6.ds1-1) unstable; urgency=low

  * Repackaged upstream .zip files, and added .ds1 to the version to mark this
    Debian change to the upstream version.
  * Updated build-deps to work with the new Ocaml, thanks to Julien Cristau.
    Closes: #338049.
  * New grammars from upstream.
  * Fixed typo in description.  Closes: #306908.

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Nov 2005 21:06:32 +0100

polygen (1.0.6-9) unstable; urgency=high

  * Directly install the .grm.o files built at build time, and remove the need
    for postinst and postrm.  It removes the annoying delays at install time,
    and really closes: #325468.
  * Urgency set to high since we close a security bug (hopefully for real this
    time).
  * Need a postinst to compensate for previously existing broken postrm from
    previous polygens

 -- Enrico Zini <enrico@debian.org>  Wed, 31 Aug 2005 13:34:20 +0200

polygen (1.0.6-8) unstable; urgency=high

  * Added a patch to honor umask when creating .grm.o files.
    Closes: #325468.
  * Urgency set to high since we close a security bug.
  * Bumped Standards-version.

 -- Enrico Zini <enrico@debian.org>  Mon, 29 Aug 2005 16:51:08 +0200

polygen (1.0.6-7) unstable; urgency=high

  * Make the polygen-data manpage build script executable before using it.
    diff doesn't preserve permissions, so the +x bit is not kept while
    packaging; that's a mismatch between how dpkg-buildpackage works and how
    one would expect it to work.  Closes: #306113.
  * Urgency is high because of the ongoing ocaml transition.

 -- Enrico Zini <enrico@debian.org>  Sun, 24 Apr 2005 13:43:11 +0200

polygen (1.0.6-6) unstable; urgency=low

  * Autogenerate polygen-data manpage.  Closes: #301454.

 -- Enrico Zini <enrico@debian.org>  Fri, 22 Apr 2005 02:29:30 +0200

polygen (1.0.6-5) unstable; urgency=low

  * Finally added README.Debian
  * Changed Ocaml dependencies.  Closes: #300848.

 -- Enrico Zini <enrico@debian.org>  Wed, 23 Mar 2005 23:21:24 +0100

polygen (1.0.6-4) unstable; urgency=low

  * Recommend polygen-data.  Closes: #288695.
  * Fixed package description

 -- Enrico Zini <enrico@debian.org>  Sun, 23 Jan 2005 15:47:19 +0800

polygen (1.0.6-3) unstable; urgency=low

  * Removed bashism in postinst
  * Added postrm to get rid of precompiled grammar objects.  Closes: #284903.
  * Depend on ocaml-base-nox | ocaml-base.  Closes: #284913.

 -- Enrico Zini <enrico@debian.org>  Tue, 14 Dec 2004 00:39:11 +0800

polygen (1.0.6-2) unstable; urgency=low

  * Updated build-dependencies to include cdbs and unzip

 -- Enrico Zini <enrico@debian.org>  Thu, 25 Nov 2004 23:27:19 +0100

polygen (1.0.6-1) unstable; urgency=low

  * Initial release.  Closes: #271804
  * Added 3 patches:
    01-dont-regenerate-existing-ofiles.diff
      Don't try to regenerate precompiled grammars if they exist already
    02-search-for-grammars.diff
      Search for grammars in various obvious places if the file given as a
      parameter is not found
    03-makefile.diff
      Fix the build system to correctly generate a bytecode arch-independent
      executable

 -- Enrico Zini <enrico@debian.org>  Tue, 23 Nov 2004 23:05:37 +0100
